<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<script type="text/javascript">
    var str = ''
    layui.use(['table','form','layedit', 'laydate'], function(){
        var table = layui.table //生产数据表格
        ,form = layui.form;
        form.render();//表格渲染
        table.render({
        elem: '#longtable'
        ,title: '诚信扣款'
        ,id:'checktable'
        ,limit:Number.MAX_VALUE
        ,cols: [[ //生产表头
            {field:'itemName',title:'项目名称'}
            ,{field:'unitType',title:'单位工程',edit: 'text'}
            ,{field:'integrityFee',title:'诚信扣款'}

        ]]
        ,data:[ //数据导入
        <c:if test="${ not empty list}">
        <c:forEach items="${list}" var="data" varStatus="index">
        {
            "id":"${data.id}",
            "unitType": "${data.unitType}",
            "integrityFee": "${data.integrityFee}",
            "itemName": "${data.itemName}"
        },
        </c:forEach>
        </c:if>
        ]
        ,page: false
        ,done: function(res, curr, count){
                    for(var p in res.data){
                        str = str+res.data[p].id+',';
                     }
                 $('table tr').each(function () {
                      var unitType = $(this).find('td:eq(1)').text()
                      if(unitType != null && unitType != ''){
                         $(this).find('td:eq(2)').attr("data-edit","text")
                      }
                })
              }
          });

    table.on('edit(longtable)', function(obj){ //注：edit是固定事件名，test是table原始容器的属性 lay-filter="对应的值"
       // console.log(obj.data); //所在行的所有相关数据
       var field = obj.field;
       if(field === 'unitType'){
           var value = obj.value;
           var flag = false;
           var fee1 = '';
           // $(this).closest("tr").find("td").eq("2").find("div").html(value);
           $(this).closest("tr").find("td").eq("2").attr("data-edit","text");

           if(value == ''){
               obj.data.integrityFee = ''
               // $('table tr').each(function () {
               //     var unitType = $(this).find('td:eq(1)').text()
               //      if(unitType == ''){
               //        $(this).find('td:eq(2)').text('')
               //     }
               //  })
              $(this).closest("tr").find("td").eq("2").find("div").html('');
              $(this).closest("tr").find("td").eq("2").removeAttr("data-edit");
           }else{
              $('table tr').each(function () {
                  var unitType = $(this).find('td:eq(1)').text()
                  var fee = $(this).find('td:eq(2)').text()
                   if(unitType == value){
    // $(this).closest("tr").find("td").eq("2").find("div").html(fee);
                    flag = true;
                    fee1 = fee;
                   }
               })
              if(flag){
                    $(this).closest("tr").find("td").eq("2").find("div").html(fee1);
            }

          }
        }
        if(field === 'integrityFee'){
           var value = obj.value;
           if(isNaN(value)){ //判断输入是否是数字
                layer.msg('请输入有效数字',{icon: 5,offset:['40%','40%']});
                 return false;
           }
        }
    });
    });
    function updateProject(){
    var nameString = "";
    var nameString1 = "";
    $('table tr').each(function () {
        var unitType = $(this).find('td:eq(1)').text();
        var fee = $(this).find('td:eq(2)').text();
        if(unitType == ''){
           unitType = null
        }
        if(fee == ''){
            fee = null
        }
        nameString += unitType+",";
        nameString1 += fee+",";
    })
    var unitTypes = nameString.substring(5,nameString.length);
    var fees = nameString1.substring(5,nameString1.length);
    var ids = str.substring(0,str.length-1);
    $.ajax({
    type:"post",
    url:"${ctx}/project/withhold",
    data:{'ids':ids,'fees':fees,'unitTypes':unitTypes},
    success:function(result){
       layer.msg(result.msg, {icon: 6,offset:['38%','38%']},function () {
        parent.location.reload();
     });
     }
    });
}



</script>